
#include "Common.h"
#include <gl/glew.h>
#include <glm/glm.hpp>
#include <glm/ext.hpp>
#include "ResourceManager.h"

//スクリーンの大きさ
const int SCREEN_WIDTH = 540;
const int SCREEN_HEIGHT = 720;

//リソースマネージャ
ResourceManager *pResMngr = nullptr;

//円を描画
void DrawCitcle() {
	const int RESOLUTION = 32;
	glm::vec2 vtx[RESOLUTION];
	for( int i = 0; i < RESOLUTION; i++ ) {
		float rad = ((2.0f * glm::pi<float>()) / (float)RESOLUTION) * (float)i;
		vtx[i].x = sin(rad);
		vtx[i].y = cos(rad);
	}
	
	glEnableClientState(GL_VERTEX_ARRAY);
	glVertexPointer(2, GL_FLOAT, 0, vtx);
	glDrawArrays(GL_LINE_LOOP, 0, RESOLUTION);
	glDisableClientState(GL_VERTEX_ARRAY);
	
}

